{
  "$schema": "node_modules/nx/schemas/project-schema.json",
  "projectType": "application",
  "name": "ervu-eks",
  "i18n": {
    "sourceLocale": "ru",
    "locales": {
      "en": "src/resources/locale/messages.en.xlf"
    }
  },
  "sourceRoot": "./src",
  "tags": [],
  "targets": {
    "build": {
      "executor": "@nx/angular:webpack-browser",
      "outputs": ["{options.outputPath}"],
      "options": {
        "preserveSymlinks": true,
        "main": "src/ts/main.ts",
        "index": "index.html",
        "polyfills": ["zone.js", "@angular/localize/init"],
        "tsConfig": "tsconfig.json",
        "assets": [
          "src/resources"
        ],
        "resourcesOutputPath": "./resources",
        "styles": [
          "src/resources/css/style.css"
        ],
        "scripts": [
          "node_modules/jquery/dist/jquery.min.js",
          "node_modules/moment/min/moment-with-locales.js",
          "node_modules/moment-timezone/builds/moment-timezone-with-data.min.js",
          "node_modules/selectize/dist/js/selectize.min.js",
          "node_modules/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js",
          "node_modules/esmarttokenjs/esmarttoken.js",
          "node_modules/js-year-calendar/dist/js-year-calendar.js"
        ],
        "i18nMissingTranslation": "warning"
      },
      "configurations": {
        "production": {
          "outputPath": "dist",
          "fileReplacements": [
            {
              "replace": "src/ts/modules/preview/preview.routes.ts",
              "with": "src/ts/modules/preview/preview.routes.prod.ts"
            },
            {
              "replace": "src/ts/modules/webbpm/handler/global-error.handler.ts",
              "with": "src/ts/modules/webbpm/handler/global-error.handler.prod.ts"
            },
            {
              "replace": "src/ts/modules/webbpm/interceptor/default-interceptors.ts",
              "with": "src/ts/modules/webbpm/interceptor/default-interceptors.prod.ts"
            },
            {
              "replace": "src/ts/environments/environment.ts",
              "with": "src/ts/environments/environment.prod.ts"
            }
          ],
          "budgets": [
            {
              "type": "initial",
              "maximumWarning": "500kb",
              "maximumError": "10mb"
            },
            {
              "type": "anyComponentStyle",
              "maximumWarning": "2kb",
              "maximumError": "4kb"
            }
          ],
          "outputHashing": "all",
        },
        "development": {
          "outputPath": "build_dev",
          "buildOptimizer": false,
          "optimization": false,
          "vendorChunk": true,
          "extractLicenses": false,
          "sourceMap": true,
          "outputHashing": "none"
        },
        "ru": {
          "localize": ["ru"]
        },
        "en": {
          "localize": ["en"]
        }
      },
      "defaultConfiguration": "production"
    },
    "serve": {
      "executor": "@nx/angular:dev-server",
      "configurations": {
        "production": {
          "buildTarget": "ervu-eks:build:production"
        },
        "development": {
          "buildTarget": "ervu-eks:build:development"
        }
      },
      "defaultConfiguration": "development"
    },
    "extract-i18n": {
      "executor": "ng-extract-i18n-merge:ng-extract-i18n-merge",
      "options": {
        "buildTarget": "ervu-eks:build",
        "outputPath": "src/resources/locale",
        "format": "xliff2",
        "targetFiles": ["messages.en.xlf"]
      }
    },
    "serve-static": {
      "executor": "@nx/web:file-server",
      "options": {
        "buildTarget": "ervu-eks:build:development",
        "spa": true
      }
    }
  }
}
